<?php
require'fun.php';
require'f_admin.php';
if($perm<2)
require'interzis.php';
$titlu='Salvează setari generale';
$back[1]='<a href="/admin-setari-generale">'.img('administrare.png',1).'Setări generale</a>';
require'f_sus.php';
$textt='[br/]';
$expirare_sesiune=$_POST['expirare_sesiune'];
if($conn->query('UPDATE`setari`SET`valoare`="'.($expirare_sesiune*60).'"WHERE`nume`="expirare_sesiune"'))
{
$textt.='Timpul online: '.$expirare_sesiune.' minute,[br/]';
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Timp online actualizat la valoarea de '.$expirare_sesiune.' de minute!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Timpul online nu a putut fi actualizat!';
echo$div[0];
$mesaj_prim=$_POST['mesaj_prim'];
if($conn->query('UPDATE`setari`SET`valoare`="'.$mesaj_prim.'"WHERE`nume`="mesaj_prim"'))
{
$textt.='Mesaj afisat pe meniul prim: '.$mesaj_prim.',[br/]';
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Mesajul afisat pe meniul prim a fost actualizat la textul: '.$mesaj_prim.'!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Mesajul de pe meniul prim, nu a putut fi actualizat!';
echo$div[0];
$mesaj_intampinare=$_POST['mesaj_intampinare'];
if($conn->query('UPDATE`setari`SET`valoare`="'.$mesaj_intampinare.'"WHERE`nume`="mesaj_intampinare"'))
{
$textt.='Mesaj de întâmpinare: '.$mesaj_intampinare.',[br/]';
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Mesajul de întâmpinare a fost actualizat la textul: '.$mesaj_intampinare.'!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Mesajul de întâmpinare, nu a putut fi actualizat!';
echo$div[0];
$mesaj_aniversar=$_POST['mesaj_aniversar'];
if($conn->query('UPDATE`setari`SET`valoare`="'.$mesaj_aniversar.'"WHERE`nume`="mesaj_aniversar"'))
{
$textt.='Mesaj aniversar: '.$mesaj_aniversar.',[br/]';
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Mesajul automat de aniversare a fost actualizat la textul: '.$mesaj_aniversar.'!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Mesajul de aniversare, nu a putut fi actualizat!';
echo$div[0];
$mesaj_galerie=$_POST['mesaj_galerie'];
if($conn->query('UPDATE`setari`SET`valoare`="'.$mesaj_galerie.'"WHERE`nume`="mesaj_galerie"'))
{
$textt.='Telefon și e-mail de la galerie: '.$mesaj_galerie.',[br/]';
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Telefon și e-mail de la galerie actualizate la textul: '.$mesaj_galerie.'!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Telefonul și e-mailul de la galerie, nu au putut fi actualizate!';
echo$div[0];
$email_admin=$_POST['email_admin'];
if($conn->query('UPDATE`setari`SET`valoare`="'.$email_admin.'"WHERE`nume`="email_admin"'))
{
$textt.='E-mail admin: '.$email_admin.',[br/]';
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'E-mail admin actualizat la textul: '.$email_admin.'!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'E-mailul de admin, nu a putut fi actualizat!';
echo$div[0];
$telefon_admin=$_POST['telefon_admin'];
if($conn->query('UPDATE`setari`SET`valoare`="'.$telefon_admin.'"WHERE`nume`="telefon_admin"'))
{
$textt.='Telefon admin: '.$telefon_admin.',[br/]';
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Telefon admin actualizat la textul: '.$telefon_admin.'!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Telefonul de admin, nu a putut fi actualizat!';
echo$div[0];
$inregistrare_membri=$_POST['inregistrare_membri'];
if($conn->query('UPDATE`setari`SET`valoare`="'.$inregistrare_membri.'"WHERE`nume`="inregistrare_membri"'))
{
$textt.='Înregistrările '.$inregistrare_membri.',[br/]';
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Inregistrarile sunt acum '.$inregistrare_membri.'!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Starea înregistrărilor nu a putut fi actualizata!';
echo$div[0];
$validare_membri=$_POST['validare_membri'];
if($conn->query('UPDATE`setari`SET`valoare`="'.$validare_membri.'"WHERE`nume`="validare_membri"'))
{
$textt.='Validarile '.$validare_membri.',[br/]';
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Validarea, de către administratori este acum '.$validare_membri.'!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Starea validarilor nu a putut fi actualizata!';
echo$div[0];
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Administrare",`de`="'.$de.'",`text`="a editat setarile generale la urmatoarele valori:'.$textt.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
require'f_jos.php';